### Method

# Gtk Snapshot render_insertion_cursor

#### Declaration [src]

    void
    gtk_snapshot_render_insertion_cursor (
      GtkSnapshot* snapshot,
      GtkStyleContext* context,
      double x,
      double y,
      PangoLayout* layout,
      int index,
      PangoDirection direction
    )

#### Description [src]

Draws a text caret using `snapshot` at the specified index of `layout`.

#### Parameters

`context` | `GtkStyleContext`
| A `GtkStyleContext`.
| The data is owned by the caller of the function.
`x` | `double`
| X origin.
`y` | `double`
| Y origin.
`layout` | `PangoLayout*`
| The `PangoLayout` of the text.
| The data is owned by the caller of the function.
`index` | `int`
| The index in the `PangoLayout`.
`direction` | `PangoDirection`
| The `PangoDirection` of the text.